Partially Modify a Target Group by ID
Updates the properties of the target group specified by its ID.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The unique ID of the target group.
Controls whether the response is pretty-printed (with indentations and new lines).
trueControls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
0Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
The target group name.
My target groupThe balancing algorithm. A balancing algorithm consists of predefined rules with the logic that a load balancer uses to distribute network traffic between servers.
-
Round Robin: Targets are served alternately according to their weighting.
-
Least Connection: The target with the least active connection is served.
-
Random: The targets are served based on a consistent pseudorandom algorithm.
-
Source IP: It is ensured that the same client IP address reaches the same target.
ROUND_ROBINPossible values: The forwarding protocol. Only the value 'HTTP' is allowed.
HTTPPossible values: The forwarding protocol version. Value is ignored when protocol is not 'HTTP'.
HTTP1Possible values: Successful operation
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
PATCH /cloudapi/v6/targetgroups/{targetGroupId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: */*
Accept: */*
Content-Length: 423
{
"name": "My target group",
"algorithm": "ROUND_ROBIN",
"protocol": "HTTP",
"protocolVersion": "HTTP1",
"targets": [
{
"ip": "22.231.2.2",
"port": 8080,
"weight": 123,
"proxyProtocol": "v1",
"healthCheckEnabled": true,
"maintenanceEnabled": true
}
],
"healthCheck": {
"checkTimeout": 2000,
"checkInterval": 2000,
"retries": 3
},
"httpHealthCheck": {
"path": "/monitoring",
"method": "GET",
"matchType": "STATUS_CODE",
"response": "200",
"regex": false,
"negate": false
}
}{
"id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
"type": "target-group",
"href": "<RESOURCE-URI>",
"metadata": {
"etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
"createdDate": "2015-12-04T14:34:09.809Z",
"createdBy": "user@example.com",
"createdByUserId": "user@example.com",
"lastModifiedDate": "2015-12-04T14:34:09.809Z",
"lastModifiedBy": "user@example.com",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"state": "AVAILABLE"
},
"properties": {
"name": "My target group",
"algorithm": "ROUND_ROBIN",
"protocol": "HTTP",
"protocolVersion": "HTTP1",
"targets": [
{
"ip": "22.231.2.2",
"port": 8080,
"weight": 123,
"proxyProtocol": "v1",
"healthCheckEnabled": true,
"maintenanceEnabled": true
}
],
"healthCheck": {
"checkTimeout": 2000,
"checkInterval": 2000,
"retries": 3
},
"httpHealthCheck": {
"path": "/monitoring",
"method": "GET",
"matchType": "STATUS_CODE",
"response": "200",
"regex": false,
"negate": false
}
}
}Last updated
Was this helpful?